VLC without AltiVec for ubuntu MATE 16.04

AmigaOne X5000 platform specific issues related to Linux only.

Re: VLC without AltiVec for ubuntu MATE 16.04

Postby Roland » Mon Nov 05, 2018 11:12 pm

xeno74 wrote:Please install Mesa 18.2.2 again. After that, please post the output of ls -l /usr/lib/powerpc-linux-gnu/mesa/.


$ ls -l /usr/lib/powerpc-linux-gnu/mesa/
total 3408
-rw-r--r-- 1 root root 32 Apr 14 2016 ld.so.conf
lrwxrwxrwx 1 root root 14 Nov 5 23:04 libGL.so.1 -> libGL.so.1.2.0
-rwxr-xr-x 1 root root 2955664 Nov 5 22:59 libGL.so.1.2.0
-rw-r--r-- 1 root root 527104 Apr 14 2016 libGL.so.1.2.0.back

And Glxinfo gave now this:

$ glxinfo | grep "OpenGL version"
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast
X Error of failed request: GLXBadContext
Major opcode of failed request: 154 (GLX)
Minor opcode of failed request: 6 (X_GLXIsDirect)
Serial number of failed request: 48
Current serial number in output stream: 47
- Roland -
Roland
 
Posts: 218
Joined: Tue May 02, 2017 8:23 am

Re: VLC without AltiVec for ubuntu MATE 16.04

Postby xeno74 » Tue Nov 06, 2018 11:47 am

Hi Roland,

Please post the output of ls -ltr /usr/lib/powerpc-linux-gnu/dri/.

Thanks,
Christian
http://www.amigalinux.org
http://www.supertuxkart-amiga.de

Running Linux on AmigaONEs can require some tinkering.
User avatar
xeno74
 
Posts: 4105
Joined: Fri Mar 23, 2012 8:58 am

Re: VLC without AltiVec for ubuntu MATE 16.04

Postby Roland » Tue Nov 06, 2018 12:15 pm

xeno74 wrote:Please post the output of ls -ltr /usr/lib/powerpc-linux-gnu/dri/.


~$ ls -ltr /usr/lib/powerpc-linux-gnu/dri/
total 115736
lrwxrwxrwx 1 root root 18 Apr 7 2016 s3g_drv_video.so -> vdpau_drv_video.so
lrwxrwxrwx 1 root root 18 Apr 7 2016 nvidia_drv_video.so -> vdpau_drv_video.so
-rw-r--r-- 1 root root 132996 Apr 7 2016 vdpau_drv_video.so
-rw-r--r-- 5 root root 8679784 Apr 14 2016 vmwgfx_dri.so
-rw-r--r-- 5 root root 8679784 Apr 14 2016 virtio_gpu_dri.so
-rw-r--r-- 4 root root 4800368 Apr 14 2016 swrast_dri.so
-rw-r--r-- 4 root root 4800368 Apr 14 2016 radeon_dri.so
-rw-r--r-- 5 root root 8679784 Apr 14 2016 r600_dri.so.bak
-rw-r--r-- 5 root root 8679784 Apr 14 2016 r300_dri.so
-rw-r--r-- 4 root root 4800368 Apr 14 2016 r200_dri.so
-rw-r--r-- 4 root root 4800368 Apr 14 2016 nouveau_vieux_dri.so
-rw-r--r-- 5 root root 8679784 Apr 14 2016 nouveau_dri.so
-rw-r--r-- 1 root root 66936 Aug 31 2017 dummy_drv_video.so
-rwxr-xr-x 1 root root 55686276 Nov 5 22:59 r600_dri.so
- Roland -
Roland
 
Posts: 218
Joined: Tue May 02, 2017 8:23 am

Re: VLC without AltiVec for ubuntu MATE 16.04

Postby xeno74 » Tue Nov 06, 2018 12:49 pm

Does the directory "/usr/local/mesa-18.2.2" exist?

-- Christian
http://www.amigalinux.org
http://www.supertuxkart-amiga.de

Running Linux on AmigaONEs can require some tinkering.
User avatar
xeno74
 
Posts: 4105
Joined: Fri Mar 23, 2012 8:58 am

Re: VLC without AltiVec for ubuntu MATE 16.04

Postby Roland » Tue Nov 06, 2018 4:28 pm

xeno74 wrote:Does the directory "/usr/local/mesa-18.2.2" exist?


Yes, I haven't modified it anyhow. Here is the listing:

/usr/local/mesa-18.2.2$ ls -R
.:
etc include lib

./etc:
drirc

./include:
EGL gbm.h GL GLES GLES2 GLES3 KHR

./include/EGL:
eglextchromium.h eglext.h egl.h eglmesaext.h eglplatform.h

./include/GL:
glcorearb.h glext.h gl.h gl_mangle.h glxext.h glx.h glx_mangle.h internal

./include/GL/internal:
dri_interface.h

./include/GLES:
egl.h glext.h gl.h glplatform.h

./include/GLES2:
gl2ext.h gl2.h gl2platform.h

./include/GLES3:
gl31.h gl32.h gl3ext.h gl3.h gl3platform.h

./include/KHR:
khrplatform.h

./lib:
dri libEGL.so.1.0.0 libgbm.so.1.0.0 libglapi.so.0.0.0 libGLESv1_CM.so.1.1.0 libGLESv2.so.2.0.0 libGL.so.1.2.0
libEGL.la libgbm.la libglapi.la libGLESv1_CM.la libGLESv2.la libGL.la pkgconfig
libEGL.so libgbm.so libglapi.so libGLESv1_CM.so libGLESv2.so libGL.so
libEGL.so.1 libgbm.so.1 libglapi.so.0 libGLESv1_CM.so.1 libGLESv2.so.2 libGL.so.1

./lib/dri:
kms_swrast_dri.so r200_dri.so r600_dri.so radeon_dri.so swrast_dri.so

./lib/pkgconfig:
dri.pc egl.pc gbm.pc glesv1_cm.pc glesv2.pc gl.pc
- Roland -
Roland
 
Posts: 218
Joined: Tue May 02, 2017 8:23 am

Re: VLC without AltiVec for ubuntu MATE 16.04

Postby xeno74 » Tue Nov 06, 2018 8:02 pm

Roland wrote:And Glxinfo gave now this:

$ glxinfo | grep "OpenGL version"
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast
X Error of failed request: GLXBadContext
Major opcode of failed request: 154 (GLX)
Minor opcode of failed request: 6 (X_GLXIsDirect)
Serial number of failed request: 48
Current serial number in output stream: 47


It seems, there is a problem with "swrast_dri.so". Please copy the "swrast_dri.so" from Mesa 18.2.2 to /usr/lib/powerpc-linux-gnu/dri/.

Code: Select all
sudo mv /usr/lib/powerpc-linux-gnu/dri/swrast_dri.so /usr/lib/powerpc-linux-gnu/dri/swrast_dri.so.bak


Code: Select all
sudo cp /usr/local/mesa-18.2.2/lib/dri/swrast_dri.so /usr/lib/powerpc-linux-gnu/dri/
http://www.amigalinux.org
http://www.supertuxkart-amiga.de

Running Linux on AmigaONEs can require some tinkering.
User avatar
xeno74
 
Posts: 4105
Joined: Fri Mar 23, 2012 8:58 am

Re: VLC without AltiVec for ubuntu MATE 16.04

Postby Roland » Tue Nov 06, 2018 10:38 pm

xeno74 wrote: It seems, there is a problem with "swrast_dri.so". Please copy the "swrast_dri.so" from Mesa 18.2.2 to /usr/lib/powerpc-linux-gnu/dri/.

Code: Select all
sudo mv /usr/lib/powerpc-linux-gnu/dri/swrast_dri.so /usr/lib/powerpc-linux-gnu/dri/swrast_dri.so.bak


Code: Select all
sudo cp /usr/local/mesa-18.2.2/lib/dri/swrast_dri.so /usr/lib/powerpc-linux-gnu/dri/


I did these oparations and checked that the new swrast_dri.so was indeed copied. But Glxinfo still gave exactly the same error message! I tried also VLC, and this time it did at least open, but did not load videos. Closing the program did not work either.

What puzzles me is original OpenGL version 2.2 of this 16.04.5... I downloaded for it Spectre's 16.04.4 .img, which I then upgraded to 16.04.5. My earlier 16.04.4 installation was from other source (don't remember anymore from where), and Glxinfo shows it has OpenGL 3.0 (as well as Mate Remix 0.9). It has no problems with VLC (but has other problems, so I wanted to start with a clean installation before upgrading to 16.04.5).

Where does this v. 2.2 vs. 3.0 difference in 16.04.4 installations come from, and can OpenGL 2.2 somehow be updated to 3.0? Maybe that would solve the problem?
- Roland -
Roland
 
Posts: 218
Joined: Tue May 02, 2017 8:23 am

Re: VLC without AltiVec for ubuntu MATE 16.04

Postby xeno74 » Wed Nov 07, 2018 7:00 am

Maybe you use the fbdev driver. Please look in the file /etc/X11/xorg.conf and maybe you have to replace the fbdev video driver with the radeon driver.
http://www.amigalinux.org
http://www.supertuxkart-amiga.de

Running Linux on AmigaONEs can require some tinkering.
User avatar
xeno74
 
Posts: 4105
Joined: Fri Mar 23, 2012 8:58 am

Re: VLC without AltiVec for ubuntu MATE 16.04

Postby Roland » Wed Nov 07, 2018 10:18 am

xeno74 wrote:Maybe you use the fbdev driver. Please look in the file /etc/X11/xorg.conf and maybe you have to replace the fbdev video driver with the radeon driver.


I replaced the line "fbdev" with "radeon" in xorg.conf, but after that Ubuntu was not able to open a desktop after booting! No error messages, just a black screen...

The xorg.conf from my 16.04.5 is very rudimentary compared to the one in my older 16.04.4 installation, but there is also a file named xorg.conf.cyrus, which is very similar to the one in 16.04.4. Renaming it to xorg.conf did solve the problem, though (no desktop). It seems to me now that Spectre's installation was someway 'hacked', and it was mistake to start from it... But how could I know?

Enough time wasted... Now back to the road: how could I get a perfectly 'clean' 16.04.4 installation, to use it as a base for 16.04.5 upgrade?!?
- Roland -
Roland
 
Posts: 218
Joined: Tue May 02, 2017 8:23 am

Re: VLC without AltiVec for ubuntu MATE 16.04

Postby xeno74 » Wed Nov 07, 2018 2:57 pm

Roland wrote:Enough time wasted... Now back to the road: how could I get a perfectly 'clean' 16.04.4 installation, to use it as a base for 16.04.5 upgrade?!?


Please try the live USB version: ubuntu MATE 16.04.1 LTS Live USB. OK, I know it's ubuntu MATE 16.04.1 but you can upgrade it to 16.04.5 later.

Download: X5000_Ubuntu_16.04.1_Live_USB-3.img

Screenshot:

Image
http://www.amigalinux.org
http://www.supertuxkart-amiga.de

Running Linux on AmigaONEs can require some tinkering.
User avatar
xeno74
 
Posts: 4105
Joined: Fri Mar 23, 2012 8:58 am

PreviousNext

Return to Platform: AmigaOne X5000 - Linux Only

Who is online

Users browsing this forum: No registered users and 6 guests